/// Use this class as an annotation for describing how specific fields should
/// be treated by the code generator
class CloneKey {
  /// If true the field will not be taken into account when cloning
  final bool ignore;

  /// If true then cloning will use currentData.field even if null
  final bool forceCurrentData;

  /// If true then cloning will use newData.field even if null
  final bool forceNewData;

  /// The value to use if the currentData or newData is `null`.
  final Object? defaultValue;

  const CloneKey({
    this.ignore = false,
    this.forceCurrentData = false,
    this.forceNewData = false,
    this.defaultValue,
  });
}
