/// Use this class as an annotation for describing how specific fields should
/// be treated by the diff generator
class DiffKey {
  /// If true the field will not be taken into account when checking if it's
  /// different, so this means the result diff object will have this field null.
  final bool ignore;

  /// If true then diff function will use currentData.field even if null
  final bool forceCurrentData;

  /// If true then diff function will use newData.field even if null
  final bool forceNewData;

  /// The value to use if currentData and newData are equal.
  final Object? defaultValue;

  const DiffKey({
    this.ignore = false,
    this.forceCurrentData = false,
    this.forceNewData = false,
    this.defaultValue,
  });
}
